/// <reference types="node" />
import { GraphQLSchema } from "graphql";
import { ApolloServer } from 'apollo-server';
import { TypeArg } from 'girin-typelinker';
import { ListenOptions } from "net";
import { MongoClientOptions } from "mongodb";
export interface UpOptions {
    Query: TypeArg;
    Mutation?: TypeArg;
    Subscription?: TypeArg;
    types?: TypeArg[];
    listen?: ListenOptions;
    mongo?: {
        url: string;
        dbName: string;
        options?: MongoClientOptions;
    };
}
export declare function up(options: UpOptions): Promise<{
    schema: GraphQLSchema;
    server: ApolloServer;
    serverInfo: import("apollo-server").ServerInfo;
}>;
